# PublishableComponent

interface PublishableComponent : SoftwareComponent, ComponentWithCoordinates

Represents a component that can be published.

#### Since

4.7

#### Inheritors

CppSharedLibrary
CppExecutable
CppStaticLibrary

## Functions

getCoordinates
Link copied to clipboard
abstract fun getCoordinates(): ModuleVersionIdentifier
getName
Link copied to clipboard
abstract fun getName(): String